Set default framebuffer plugin to "qt" instead of "x11"

Review Request #129721 - Created Dec. 29, 2016 and submitted

Information
Alexey Min
krfb
master
356782
Reviewers
aacid, whiting

Make default "qt" framebuffer plugin instead of "x11". Workaround for bug https://bugs.kde.org/show_bug.cgi?id=356782
Not a proper fix, ideally "x11" plugin needs to be fixed.

Full recompile, reinstall, including deletion config file ~/.config/krfbrc. Startup log shows that "qt" plugin is actually used:

lexx@lexxgentoo:$ krfb
found plugin at "/usr/lib64/qt5/plugins/krfb/krfb_framebuffer_qt.so"
Loaded plugin with name "qt"
found plugin at "/usr/lib64/qt5/plugins/krfb/krfb_framebuffer_x11.so"
Loaded plugin with name "x11"
Using FrameBuffer: "qt"

Alexey Min
Jeremy Whiting
Alexey Min
Review request changed

Status: Closed (submitted)

Change Summary:

Submitted with commit c0ceb8a83de5d5a2be0f842eafd84024bfeea6ed by Albert Astals Cid to branch Applications/17.04.
Albert Astals Cid

Shit, i forgot to give you credit in git commit

Very sorry for that.

Loading...